[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogButtonsEnumerator.Current

Button at the current position for the enumerator.

## Declaration

Source position: dialogs.pp line 672

`public property TTaskDialogButtonsEnumerator.Current : TTaskDialogBaseButtonItem read GetCurrent;`

## Description

Current is a read-only TTaskDialogBaseButtonItem property with the button at the current position for the enumerator. It uses the ordinal position in the collection for the button item as set when the MoveNext method was called.

## See also

TTaskDialogButtonsEnumerator.MoveNext |  | Positions the enumerator on the next button in the collection.
TTaskDialogButtons |  | Collection type used to access and maintain buttons defined for a Task dialog.